<app-loading *ngIf="isLoading"></app-loading>
<div class="content-header">
  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY' (click)="assignManager()" [mbIsDisable]="isLoading"
             mbButtonText="{{'common.button.saveS' | translate}}"></mb-button>
</div>

<div class="org-content-main">
  <div class="text-group__title">{{'system.managerDirect.label.employeeInfo' | translate}}</div>
  <nz-divider></nz-divider>
  <div nz-row [nzGutter]="24">
    <div nz-col [nzSpan]="6">
      <hcm-mfe-employee-data-search-policy [mbCanText]="true" [ngModel]="" [ngModelOptions]="{standalone: true}" *ngIf="!request.managerProcessId"
                                           (selectedChange)="onChange($event)"
                                           [functionCode]="''"
                                           [multiple]="false" [mbDisable]="false"
                                           mbLabelText="{{'system.managerDirect.label.emp' | translate}}">
      </hcm-mfe-employee-data-search-policy>
      <div class="text-group" *ngIf="request.managerProcessId">
        <div class="text-group__title">{{'system.managerDirect.label.emp' | translate}}</div>
        <div class="text-group__content">{{employee?.fullName}}-{{employee?.employeeCode}}</div>
      </div>
    </div>
    <div nz-col [nzSpan]="6">
      <div class="text-group">
        <div class="text-group__title">Job</div>
        <div class="text-group__content">{{employee?.jobName}}</div>
      </div>
    </div>
    <div nz-col [nzSpan]="12">
      <div class="text-group">
        <div class="text-group__title">{{'system.managerDirect.label.org' | translate}}</div>
        <div class="text-group__content">{{employee?.orgName}}</div>
      </div>
    </div>
  </div>

  <div nz-row [nzGutter]="24" class="row_bottom">
    <div nz-col [nzSpan]="6">
      <div class="text-group">
        <div class="text-group__title">Level</div>
        <div class="text-group__content">{{employee?.levelName}}</div>
      </div>
    </div>
    <div nz-col [nzSpan]="12">
      <div class="text-group">
        <div class="text-group__title">Position</div>
        <div class="text-group__content">{{employee?.positionName}}</div>
      </div>
    </div>
  </div>
</div>

<div class="org-content-main content-main-bottom">
  <div class="text-group__title">{{'system.managerDirect.label.dManagerInfo' | translate}}</div>
  <nz-divider></nz-divider>
  <div nz-row [nzGutter]="24">
    <div nz-col [nzSpan]="6">
      <mb-date-picker
        mbMode="time"
        mbFormat="dd/MM/yyyy"
        [(ngModel)]="fromDate"
        [mbType]="submit && (!fromDate || error) ? 'error' : 'default'"
        [mbShowError]="submit && (!fromDate || error) ? true : false"
        [mbErrors]="error ? {duplicate:true} : {required:true}"
        (ngModelChange)="changeDate($event, true)"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription: 'modelOrganization.correctionOrganization.error.date' | translate
          },
          {
            errorName: 'duplicate',
            errorDescription: 'system.managerDirect.validate.duplicateDate' | translate
          }
        ]"
        mbLabelText="{{'system.managerDirect.label.assignDate' | translate}} <span class='label__required'>*</span>"
        mbPlaceholderText="{{'system.managerDirect.placeHolder.date' | translate}}"
      >
      </mb-date-picker>
    </div>
    <div nz-col [nzSpan]="6">
      <mb-date-picker
        mbMode="time"
        mbFormat="dd/MM/yyyy"
        [(ngModel)]="toDate"
        (ngModelChange)="changeDate($event, false)"
        [mbType]="'default'"
        mbLabelText="{{'system.managerDirect.label.endDate' | translate}}"
        mbPlaceholderText="{{'system.managerDirect.placeHolder.date' | translate}}"
      >
      </mb-date-picker>
    </div>
  </div>

  <div nz-row [nzGutter]="24" class="row_bottom">
    <div nz-col [nzSpan]="6">
      <mb-select [mbDataSelects]="listManager" mbKeyLabel="fullName" mbKeyValue="employeeId"
                  mbLabelText="{{'system.managerDirect.label.dManager' | translate}} <span class='label__required'>*</span>"
                 [(ngModel)]="request.managerId"
                 (mbSelect)="changeEmp($event, true)"
                 [mbType]="submit && !request.managerId ? 'error' : 'default'"
                 [mbShowError]="submit && !request.managerId"
                 [mbErrors]="{required:true}"
                 [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription: 'system.validate.required' | translate : {'param' :  'system.managerDirect.label.dManager' | translate}
          }
        ]"
                 mbPlaceholder="{{'system.managerDirect.placeHolder.choose' | translate}}">
      </mb-select>
    </div>
    <div nz-col [nzSpan]="6">
      <div class="text-group">
        <div class="text-group__title">Job</div>
        <div class="text-group__content">{{managerD?.jobName}}</div>
      </div>
    </div>
    <div nz-col [nzSpan]="12">
      <div class="text-group">
        <div class="text-group__title">{{'system.managerDirect.label.org' | translate}}</div>
        <div class="text-group__content">{{managerD?.orgName}}</div>
      </div>
    </div>
  </div>

  <div class="checkbox">
    <label nz-checkbox [(ngModel)]="request.hasIndirectManager">{{'system.managerDirect.label.iManagerInfo' | translate}}</label>
  </div>

  <div nz-row [nzGutter]="24" class="row_bottom" *ngIf="request.hasIndirectManager">
    <div nz-col [nzSpan]="6">
      <mb-select [mbDataSelects]="listManager" mbKeyLabel="fullName" mbKeyValue="employeeId"
                 (mbSelect)="changeEmp($event, false)"
                 [(ngModel)]="request.indirectManagerId"
                 [mbType]="submit && !request.indirectManagerId ? 'error' : 'default'"
                 [mbShowError]="submit && !request.indirectManagerId"
                 [mbErrors]="{required:true}"
                 [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription: 'system.validate.required' | translate : {'param' :  'system.managerDirect.label.iManager' | translate}
          }
        ]"
                 mbLabelText="{{'system.managerDirect.label.iManager' | translate}} <span class='label__required'>*</span>"
                 mbPlaceholder="{{'system.managerDirect.placeHolder.choose' | translate}}"></mb-select>
    </div>
    <div nz-col [nzSpan]="6">
      <div class="text-group">
        <div class="text-group__title">Job</div>
        <div class="text-group__content">{{managerI?.jobName}}</div>
      </div>
    </div>
    <div nz-col [nzSpan]="12">
      <div class="text-group">
        <div class="text-group__title">{{'system.managerDirect.label.org' | translate}}</div>
        <div class="text-group__content">{{managerI?.orgName}}</div>
      </div>
    </div>
  </div>
</div>
